SDL_VirtualJoystickSensorDesc Struct Reference

`#include <SDL_joystick.h>`

## Data Fields

SDL_SensorType | type
float | rate

## Detailed Description

The structure that describes a virtual joystick sensor.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_VirtualJoystickDesc

Definition at line 403 of file SDL_joystick.h.

## Field Documentation

## rate

float SDL_VirtualJoystickSensorDesc::rate

the update frequency of this sensor, may be 0.0f

Definition at line 406 of file SDL_joystick.h.

## type

SDL_SensorType SDL_VirtualJoystickSensorDesc::type

the type of this sensor

Definition at line 405 of file SDL_joystick.h.

The documentation for this struct was generated from the following file:

- SDL_joystick.h